Name:           msmtp
Version:        1.4.13 
Release:        4%{?dist}
Summary:        SMTP client
Group:          System Environment/Base 
License:        GPLv3+
URL:            http://msmtp.sourceforge.net
Source0:        http://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnutls-devel
BuildRequires:  libidn-devel
BuildRequires:  gettext
BuildRequires:  libgsasl-devel

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info


%description
It forwards messages to an SMTP server which does the delivery.
Features include:
  * Sendmail compatible interface (command line options and exit codes).
  * Authentication methods PLAIN,LOGIN,CRAM-MD5,DIGEST-MD5,GSSAPI,and NTLM
  * TLS/SSL both in SMTP-over-SSL mode and in STARTTLS mode. 
  * Fast SMTP implementation using command pipelining.
  * Support for Internationalized Domain Names (IDN).
  * DSN (Delivery Status Notification) support.
  * RMQS (Remote Message Queue Starting) support (ETRN keyword).
  * IPv6 support.


%prep
%setup -q

%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS
%doc doc/msmtp.html  doc/msmtprc-system.example doc/msmtprc-user.example doc/Mutt+msmtp.txt
%{_bindir}/msmtp
%{_infodir}/msmtp.info*
%{_mandir}/man1/msmtp.1*


%changelog
* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.13-4
- Autorebuild for GCC 4.3

* Thu Aug 29 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.13-3
- rebuild for ppc32 selinux fix

* Thu Aug 2 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.13-2
- License tag changed

* Thu Aug 2 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.13-1
- 1.4.13
- license changed to GPLv3

* Sat Jun 30 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-7
- timestamps fix

* Sat Jun 30 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-6
- minor spec fixes

* Thu Jun 28 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-5
- removed provides for sendmail
- added BuildRequires for libgsasl

* Fri Jun 22 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-4
- not using alternatives

* Wed Jun 20 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-3
- now using alternatives 
- added provides for sendmail 
- edited description 

* Tue Jun 19 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-2
- fixed source0
- removed openssl-devel from BuildRequires
- added BuildRequires for gettext
- added more doc files

* Tue Jun 19 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.12-1
- new version 
- changed Summary and description

* Mon Jun 11 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.11-2
- fixed URL, Summary and description

* Mon Jun 11 2007 Nikolay Vladimirov <nikolay@vladimiroff.com> - 1.4.11-1
- initial release
